#
# spec file for package tumbleweed-cli
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tumbleweed-cli
Version:        0.3.4
Release:        1.6
Summary:        Command line interface for interacting with tumbleweed snapshots
License:        GPL-2.0-only
Group:          System/Packages
Url:            https://github.com/boombatower/tumbleweed-cli
Source:         %{name}-%{version}.tar.xz
BuildArch:      noarch
# see https://github.com/steamtricks/steamtricks/issues/27
Requires:       coreutils
Requires:       curl
Requires:       grep
Requires:       sudo
Requires:       zypper
Requires:       libzypp(repovarexpand) >= 1

%description
tumbleweed-cli provides a command line interface for interacting with tumbleweed
snapshots.

%prep
%setup -q

%build

%install
%make_install VERSION="%{version}"

%files
%defattr(-,root,root,-)
%{_bindir}/tumbleweed
%{_sysconfdir}/bash_completion.d/tumbleweed-completion.bash

%changelog
* Tue Nov  7 2023 jimmy@boombatower.com
- Update to version 0.3.4:
  * tumbleweed: allow handling of redirects (#32)
* Tue Sep 10 2019 jimmy@boombatower.com
- Update to version 0.3.3:
  * Handle https URLs (#12)
* Thu Mar  7 2019 opensuse-packaging@opensuse.org
- Update to version 0.3.2:
  * switch: verify latest version was determined otherwise exit.
  * Include --fail in all curl calls.
  * tumbleweed_unmigrate(): correct indentation of condition.
* Fri Oct 19 2018 opensuse-packaging@opensuse.org
- Update to version 0.3.1:
  * Issue notice of official hosting and migration if target is available.
  * completion.bash: include revert command for flag completion.
  * README: include details about Tumbleweed snapshot review tool.
* Wed Sep 12 2018 jimmy@boombatower.com
- Update to version 0.3.0:
  * Provide bash completion script.
  * Provide migrate and unmigrate commands.
  * Provide pre and post migrate URLs and check to pick which to use.
  * Utilize prompt() in uninit().
  * README: drop bash highlighter from command examples.
* Wed Apr  4 2018 jimmy@boombatower.com
- Update to version 0.2.1:
  * repo_init(): handle repo files with space in name. :(
  * Update README to suggest installation from main OSS repository.
* Sat Nov 18 2017 jimmy@boombatower.com
- Update to version 0.2.0:
  * Update URL to point at S3 hosting location in lieu of openSUSE host.
  * switch(): validate version against list.
  * Add README.md covering installation and common usage.
  * Include target in status help description.
  * uninit(): remove $VAR_FILE as well.
  * Rename history file to match new variable name format.
  * Rename config() to variable() since more appropriate.
  * Rework to utilize libzypp(repovarexpand) = 1 variable support.
  * status(): for correctness call target() instead of config().
  * init(): prevent double initialization.
  * init(): history_init() before config() since it appends to history.
  * Sort command in processing case.
  * Complete rework switch and revert for new config paradigm.
  * Use a better argument format for switch documentation.
  * Expose history command.
  * Provide tumbleweed_prompt().
  * Rework update/upgrade command processing.
  * Add target to status and own command.
  * Rename version command to installed, but provide version alias.
  * Drop list-repos command.
  * Repurpose revert as uninit.
  * Update target URL to production value.
  * Implement basis for config based version updates.
  * Provide tumbleweed_sudo() and utilize in tumbleweed_revert().
  * Add COPYING.
- Add explicit requirement on libzypp(repovarexpand) >= 1.
* Fri Dec  2 2016 jimmy@boombatower.com
- Initial prototype release (0.1.0).
